ipcs_stats.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | cs_ipcs_conn_context
struct | ipcs_global_stats
struct | ipcs_conn_stats

## Functions

cs_error_t | cs_ipcs_get_conn_stats (int service_id, uint32_t pid, void *conn_ptr, struct ipcs_conn_stats *ipcs_stats)
void | cs_ipcs_get_global_stats (struct ipcs_global_stats *ipcs_stats)
void | cs_ipcs_clear_stats (void)

## Function Documentation

## cs_ipcs_clear_stats()

void cs_ipcs_clear_stats | ( | void |  | ) |

Definition at line 709 of file ipc_glue.c.

References ipcs_conn_stats::cnx, ipcs_conn_stats::conn, cs_ipcs_conn_context::invalid_request, cs_ipcs_conn_context::overload, cs_ipcs_conn_context::sent, and SERVICES_COUNT_MAX.

Referenced by stats_map_set().

## cs_ipcs_get_conn_stats()

cs_error_t cs_ipcs_get_conn_stats | ( | int | service_id,
|  | uint32_t | pid,
|  | void * | conn_ptr,
|  | struct ipcs_conn_stats * | ipcs_stats
| ) |  |

Definition at line 675 of file ipc_glue.c.

## cs_ipcs_get_global_stats()

void cs_ipcs_get_global_stats | ( | struct ipcs_global_stats * | ipcs_stats | ) |

Definition at line 670 of file ipc_glue.c.

Referenced by stats_map_get().